[ic] Payment Module 500 Error

Christopher Wenham cwenham at synesmedia.com
Sat Jan 17 14:40:02 EST 2004

On Saturday 17 January 2004 12:39, Matt Johnston wrote:
> This led me to believe it may be some version of a program on my server
> that is causing some problems.  Here is my setup:
> RedHat 8
> perl 5.8 installed using sources and the instructions on icdevgroup
> openssl 0.9.6b-33 from RedHat rpm
> Crypt:SSLeay 0.51 from sources
> LWP:UserAgent 2.24 from sources
> apache 2.0.47 from sources
> Dual Pentium Processor
> Can anyone think of something that may be causing this problem?

 I've seen this on several payment modules, including Authorize.Net and 
Linkpoint. I think it's due to a signals bug in Perl 5.8 that manifests 
itself when Interchange is running in prefork mode. There are two fixes I 
know of:

 1) Downgrade Perl to 5.6.1
 2) Run Interchange with "MaxServers 0" (edit your traffic profile in 

Chris Wenham - Synesmedia, Inc.
516-620-4110 / 1-888-255-7573
Fax: 516-908-7824

More information about the interchange-users mailing list